import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class RemoteView extends StatelessWidget {
  const RemoteView({super.key});

  @override
  Widget build(BuildContext context) {
    final Map<String, dynamic> creationParams = <String, dynamic>{};

    return AndroidView(
      viewType: "liblinphone_flutter.nuark.xyz/remote_view",
      creationParams: creationParams,
      creationParamsCodec: const StandardMessageCodec(),
      onPlatformViewCreated: (int id) {
        print("onPlatformViewCreated: created RemoteView with id $id");
      },
    );
  }
}
